### Method

# Gtk TextView get_iter_at_location

#### Declaration [src]

    gboolean
    gtk_text_view_get_iter_at_location (
      GtkTextView* text_view,
      GtkTextIter* iter,
      int x,
      int y
    )

#### Description [src]

Retrieves the iterator at buffer coordinates `x` and `y`.

Buffer coordinates are coordinates for the entire buffer, not just the currently-displayed portion. If you have coordinates from an event, you have to convert those to buffer coordinates with `gtk_text_view_window_to_buffer_coords()`.

#### Parameters

`iter`

  Type: `GtkTextIter`

  A `GtkTextIter`.

  The argument will be set by the function.
  The returned data is owned by the instance.

`x`

  Type: `int`

  X position, in buffer coordinates.

`y`

  Type: `int`

  Y position, in buffer coordinates.

#### Return value

Type: `gboolean`

`TRUE` if the position is over text.